/*
 * dce.h - DCE functions header file for the Xtreme3D engine
 * Version 1.0
 * 
 * Written by Timur Gafarov <clocktower89@mail.ru>
 * 
 * This file has no copyright assigned and is placed in the Public Domain.
 * This file is a part of the Xtreme3D C++ distribution.
 * 
 */
 
dFUNC    DceManagerCreate = (dFUNC)GetProcAddress(hLibXtreme3D, "DceManagerCreate");
dFUNC2d  DceManagerStep = (dFUNC2d)GetProcAddress(hLibXtreme3D, "DceManagerStep");
dFUNC4d  DceManagerSetWorldDirection = (dFUNC4d)GetProcAddress(hLibXtreme3D, "DceManagerSetWorldDirection");
dFUNC2d  DceManagerSetWorldScale = (dFUNC2d)GetProcAddress(hLibXtreme3D, "DceManagerSetWorldScale");
dFUNC2d  DceManagerSetMovementScale = (dFUNC2d)GetProcAddress(hLibXtreme3D, "DceManagerSetMovementScale");
dFUNC2d  DceManagerSetLayers = (dFUNC2d)GetProcAddress(hLibXtreme3D, "DceManagerSetLayers");
dFUNC2d  DceManagerSetManualStep = (dFUNC2d)GetProcAddress(hLibXtreme3D, "DceManagerSetManualStep");
dFUNC2d  DceSetManager = (dFUNC2d)GetProcAddress(hLibXtreme3D, "DceSetManager");
dFUNC2d  DceSetActive = (dFUNC2d)GetProcAddress(hLibXtreme3D, "DceSetActive");
dFUNC1d  DceIsActive = (dFUNC1d)GetProcAddress(hLibXtreme3D, "DceIsActive");
dFUNC2d  DceSetUseGravity = (dFUNC2d)GetProcAddress(hLibXtreme3D, "DceSetUseGravity");
dFUNC2d  DceSetLayer = (dFUNC2d)GetProcAddress(hLibXtreme3D, "DceSetLayer");
dFUNC1d  DceGetLayer = (dFUNC1d)GetProcAddress(hLibXtreme3D, "DceGetLayer");
dFUNC2d  DceSetSolid = (dFUNC2d)GetProcAddress(hLibXtreme3D, "DceSetSolid");
dFUNC2d  DceSetFriction = (dFUNC2d)GetProcAddress(hLibXtreme3D, "DceSetFriction");
dFUNC2d  DceSetBounce = (dFUNC2d)GetProcAddress(hLibXtreme3D, "DceSetBounce");
dFUNC4d  DceSetSize = (dFUNC4d)GetProcAddress(hLibXtreme3D, "DceSetSize");
dFUNC2d  DceSetSlideOrBounce = (dFUNC2d)GetProcAddress(hLibXtreme3D, "DceSetSlideOrBounce");
dFUNC4d  DceApplyAcceleration = (dFUNC4d)GetProcAddress(hLibXtreme3D, "DceApplyAcceleration");
dFUNC4d  DceApplyAbsAcceleration = (dFUNC4d)GetProcAddress(hLibXtreme3D, "DceApplyAbsAcceleration");
dFUNC1d  DceStopAcceleration = (dFUNC1d)GetProcAddress(hLibXtreme3D, "DceStopAcceleration");
dFUNC1d  DceStopAbsAcceleration = (dFUNC1d)GetProcAddress(hLibXtreme3D, "DceStopAbsAcceleration");
dFUNC3d  DceJump = (dFUNC3d)GetProcAddress(hLibXtreme3D, "DceJump");
dFUNC5d  DceMove = (dFUNC5d)GetProcAddress(hLibXtreme3D, "DceMove");
dFUNC5d  DceMoveTo = (dFUNC5d)GetProcAddress(hLibXtreme3D, "DceMoveTo");
dFUNC4d  DceSetSpeed = (dFUNC4d)GetProcAddress(hLibXtreme3D, "DceSetSpeed");
dFUNC1d  DceInGround = (dFUNC1d)GetProcAddress(hLibXtreme3D, "DceInGround");
dFUNC2d  DceSetMaxRecursionDepth = (dFUNC2d)GetProcAddress(hLibXtreme3D, "DceSetMaxRecursionDepth");
dFUNC2d  DceStaticSetManager = (dFUNC2d)GetProcAddress(hLibXtreme3D, "DceStaticSetManager");
dFUNC2d  DceStaticSetActive = (dFUNC2d)GetProcAddress(hLibXtreme3D, "DceStaticSetActive");
dFUNC2d  DceStaticSetShape = (dFUNC2d)GetProcAddress(hLibXtreme3D, "DceStaticSetShape");
dFUNC2d  DceStaticSetLayer = (dFUNC2d)GetProcAddress(hLibXtreme3D, "DceStaticSetLayer");
dFUNC4d  DceStaticSetSize = (dFUNC4d)GetProcAddress(hLibXtreme3D, "DceStaticSetSize");
dFUNC2d  DceStaticSetSolid = (dFUNC2d)GetProcAddress(hLibXtreme3D, "DceStaticSetSolid");
dFUNC2d  DceStaticSetFriction = (dFUNC2d)GetProcAddress(hLibXtreme3D, "DceStaticSetFriction");
dFUNC2d  DceStaticSetBounceFactor = (dFUNC2d)GetProcAddress(hLibXtreme3D, "DceStaticSetBounceFactor");
dFUNC2d  DceGetVelocity = (dFUNC2d)GetProcAddress(hLibXtreme3D, "DceGetVelocity");
dFUNC2d  DceGetGravity = (dFUNC2d)GetProcAddress(hLibXtreme3D, "DceGetGravity");
dFUNC1d  DceVelocityCollided = (dFUNC1d)GetProcAddress(hLibXtreme3D, "DceVelocityCollided");
dFUNC1d  DceGravityCollided = (dFUNC1d)GetProcAddress(hLibXtreme3D, "DceGravityCollided");
dFUNC1d  DceCountCollisions = (dFUNC1d)GetProcAddress(hLibXtreme3D, "DceCountCollisions");
dFUNC2d  DceGetCollidedObject = (dFUNC2d)GetProcAddress(hLibXtreme3D, "DceGetCollidedObject");
dFUNC3d  DceGetCollisionPosition = (dFUNC3d)GetProcAddress(hLibXtreme3D, "DceGetCollisionPosition");
dFUNC3d  DceGetCollisionNormal = (dFUNC3d)GetProcAddress(hLibXtreme3D, "DceGetCollisionNormal");

