/*
 * object.h - object functions header file for the Xtreme3D engine
 * Version 1.0
 * 
 * Written by Timur Gafarov <clocktower89@mail.ru>
 * 
 * This file has no copyright assigned and is placed in the Public Domain.
 * This file is a part of the Xtreme3D C++ distribution.
 * 
 */

dFUNC1d  ObjectHide = (dFUNC1d)GetProcAddress(hLibXtreme3D, "ObjectHide");
dFUNC1d  ObjectShow = (dFUNC1d)GetProcAddress(hLibXtreme3D, "ObjectShow");
dFUNC1d  ObjectIsVisible = (dFUNC1d)GetProcAddress(hLibXtreme3D, "ObjectIsVisible");
dFUNC2d  ObjectCopy = (dFUNC2d)GetProcAddress(hLibXtreme3D, "ObjectCopy");
dFUNC1d  ObjectDestroy = (dFUNC1d)GetProcAddress(hLibXtreme3D, "ObjectDestroy");
dFUNC4d  ObjectSetPosition = (dFUNC4d)GetProcAddress(hLibXtreme3D, "ObjectSetPosition");
dFUNC2d  ObjectGetPosition = (dFUNC2d)GetProcAddress(hLibXtreme3D, "ObjectGetPosition");
dFUNC2d  ObjectGetAbsolutePosition = (dFUNC2d)GetProcAddress(hLibXtreme3D, "ObjectGetAbsolutePosition");
dFUNC2d  ObjectSetPositionOfObject = (dFUNC2d)GetProcAddress(hLibXtreme3D, "ObjectSetPositionOfObject");
dFUNC2d  ObjectAlignWithObject = (dFUNC2d)GetProcAddress(hLibXtreme3D, "ObjectAlignWithObject");
dFUNC2d  ObjectSetPositionX = (dFUNC2d)GetProcAddress(hLibXtreme3D, "ObjectSetPositionX");
dFUNC2d  ObjectSetPositionY = (dFUNC2d)GetProcAddress(hLibXtreme3D, "ObjectSetPositionY");
dFUNC2d  ObjectSetPositionZ = (dFUNC2d)GetProcAddress(hLibXtreme3D, "ObjectSetPositionZ");
dFUNC4d  ObjectSetAbsolutePosition = (dFUNC4d)GetProcAddress(hLibXtreme3D, "ObjectSetAbsolutePosition");
dFUNC4d  ObjectSetDirection = (dFUNC4d)GetProcAddress(hLibXtreme3D, "ObjectSetDirection");
dFUNC2d  ObjectGetDirection = (dFUNC2d)GetProcAddress(hLibXtreme3D, "ObjectGetDirection");
dFUNC4d  ObjectSetAbsoluteDirection = (dFUNC4d)GetProcAddress(hLibXtreme3D, "ObjectSetAbsoluteDirection");
dFUNC2d  ObjectGetAbsoluteDirection = (dFUNC2d)GetProcAddress(hLibXtreme3D, "ObjectGetAbsoluteDirection");
dFUNC1d  ObjectGetPitch = (dFUNC1d)GetProcAddress(hLibXtreme3D, "ObjectGetPitch");
dFUNC1d  ObjectGetTurn = (dFUNC1d)GetProcAddress(hLibXtreme3D, "ObjectGetTurn");
dFUNC1d  ObjectGetRoll = (dFUNC1d)GetProcAddress(hLibXtreme3D, "ObjectGetRoll");
dFUNC4d  ObjectSetRotation = (dFUNC4d)GetProcAddress(hLibXtreme3D, "ObjectSetRotation");
dFUNC2d  ObjectMove = (dFUNC2d)GetProcAddress(hLibXtreme3D, "ObjectMove");
dFUNC2d  ObjectLift = (dFUNC2d)GetProcAddress(hLibXtreme3D, "ObjectLift");
dFUNC4d  ObjectTranslate = (dFUNC4d)GetProcAddress(hLibXtreme3D, "ObjectTranslate");
dFUNC2d  ObjectStrafe = (dFUNC2d)GetProcAddress(hLibXtreme3D, "ObjectStrafe");
dFUNC4d  ObjectRotate = (dFUNC4d)GetProcAddress(hLibXtreme3D, "ObjectRotate");
dFUNC4d  ObjectScale = (dFUNC4d)GetProcAddress(hLibXtreme3D, "ObjectScale");
dFUNC4d  ObjectSetScale = (dFUNC4d)GetProcAddress(hLibXtreme3D, "ObjectSetScale");
dFUNC4d  ObjectSetUpVector = (dFUNC4d)GetProcAddress(hLibXtreme3D, "ObjectSetUpVector");
dFUNC2d  ObjectPointToObject = (dFUNC2d)GetProcAddress(hLibXtreme3D, "ObjectPointToObject");
dFUNC2d  ObjectAlignToCamera = (dFUNC2d)GetProcAddress(hLibXtreme3D, "ObjectAlignToCamera");
dFUNC3d  ObjectGetAtXY = (dFUNC3d)GetProcAddress(hLibXtreme3D, "ObjectGetAtXY");
dFUNC2d  ObjectShowAxes = (dFUNC2d)GetProcAddress(hLibXtreme3D, "ObjectShowAxes");
dFUNC2d  ObjectGetGroundHeight = (dFUNC2d)GetProcAddress(hLibXtreme3D, "ObjectGetGroundHeight");
dFUNC2d  ObjectSceneRaycast = (dFUNC2d)GetProcAddress(hLibXtreme3D, "ObjectSceneRaycast");
dFUNC2d  ObjectRaycast = (dFUNC2d)GetProcAddress(hLibXtreme3D, "ObjectRaycast");
dFUNC1d  ObjectGetCollisionPosition = (dFUNC1d)GetProcAddress(hLibXtreme3D, "ObjectGetCollisionPosition");
dFUNC1d  ObjectGetCollisionNormal = (dFUNC1d)GetProcAddress(hLibXtreme3D, "ObjectGetCollisionNormal");
dFUNC3d  ObjectSetDiffuseColor = (dFUNC3d)GetProcAddress(hLibXtreme3D, "ObjectSetDiffuseColor");
dFUNCdp  ObjectSetMaterial = (dFUNCdp)GetProcAddress(hLibXtreme3D, "ObjectSetMaterial");
dFUNC2d  ObjectGetDistance = (dFUNC2d)GetProcAddress(hLibXtreme3D, "ObjectGetDistance");
dFUNC2d  ObjectCheckCubeVsFace = (dFUNC2d)GetProcAddress(hLibXtreme3D, "ObjectCheckCubeVsFace");
dFUNC2d  ObjectCheckCubeVsCube = (dFUNC2d)GetProcAddress(hLibXtreme3D, "ObjectCheckCubeVsCube");
dFUNC2d  ObjectCheckFaceVsFace = (dFUNC2d)GetProcAddress(hLibXtreme3D, "ObjectCheckFaceVsFace");
dFUNC2d  ObjectCheckSphereVsSphere = (dFUNC2d)GetProcAddress(hLibXtreme3D, "ObjectCheckSphereVsSphere");
dFUNC2d  ObjectCheckSphereVsCube = (dFUNC2d)GetProcAddress(hLibXtreme3D, "ObjectCheckSphereVsCube");
dFUNC4d  ObjectIsPointInObject = (dFUNC4d)GetProcAddress(hLibXtreme3D, "ObjectIsPointInObject");
dFUNC2d  ObjectSetCulling = (dFUNC2d)GetProcAddress(hLibXtreme3D, "ObjectSetCulling");
dFUNCdp  ObjectSetName = (dFUNCdp)GetProcAddress(hLibXtreme3D, "ObjectSetName");
pFUNC1d  ObjectGetName = (pFUNC1d)GetProcAddress(hLibXtreme3D, "ObjectGetName");
pFUNC1d  ObjectGetClassName = (pFUNC1d)GetProcAddress(hLibXtreme3D, "ObjectGetClassName");
dFUNC2d  ObjectSetID = (dFUNC2d)GetProcAddress(hLibXtreme3D, "ObjectSetID");
dFUNC1d  ObjectGetID = (dFUNC1d)GetProcAddress(hLibXtreme3D, "ObjectGetID");
dFUNC1d  ObjectGetParent = (dFUNC1d)GetProcAddress(hLibXtreme3D, "ObjectGetParent");
dFUNC1d  ObjectGetChildCount = (dFUNC1d)GetProcAddress(hLibXtreme3D, "ObjectGetChildCount");
dFUNC2d  ObjectGetChild = (dFUNC2d)GetProcAddress(hLibXtreme3D, "ObjectGetChild");
dFUNC1d  ObjectGetBoundingsphereRadius = (dFUNC1d)GetProcAddress(hLibXtreme3D, "ObjectGetBoundingsphereRadius");
dFUNC1d  ObjectGetIndex = (dFUNC1d)GetProcAddress(hLibXtreme3D, "ObjectGetIndex");
dFUNCdp  ObjectFindChild = (dFUNCdp)GetProcAddress(hLibXtreme3D, "ObjectFindChild");
dFUNC2d  ObjectGetAbsoluteUp = (dFUNC2d)GetProcAddress(hLibXtreme3D, "ObjectGetAbsoluteUp");
dFUNC4d  ObjectSetAbsoluteUp = (dFUNC4d)GetProcAddress(hLibXtreme3D, "ObjectSetAbsoluteUp");
dFUNC2d  ObjectGetAbsoluteRight = (dFUNC2d)GetProcAddress(hLibXtreme3D, "ObjectGetAbsoluteRight");
dFUNC2d  ObjectGetAbsoluteXVector = (dFUNC2d)GetProcAddress(hLibXtreme3D, "ObjectGetAbsoluteXVector");
dFUNC2d  ObjectGetAbsoluteYVector = (dFUNC2d)GetProcAddress(hLibXtreme3D, "ObjectGetAbsoluteYVector");
dFUNC2d  ObjectGetAbsoluteZVector = (dFUNC2d)GetProcAddress(hLibXtreme3D, "ObjectGetAbsoluteZVector");
dFUNC2d  ObjectGetRight = (dFUNC2d)GetProcAddress(hLibXtreme3D, "ObjectGetRight");
dFUNC2d  ObjectMoveChildUp = (dFUNC2d)GetProcAddress(hLibXtreme3D, "ObjectMoveChildUp");
dFUNC2d  ObjectMoveChildDown = (dFUNC2d)GetProcAddress(hLibXtreme3D, "ObjectMoveChildDown");
dFUNC2d  ObjectSetParent = (dFUNC2d)GetProcAddress(hLibXtreme3D, "ObjectSetParent");
dFUNC3d  ObjectRemoveChild = (dFUNC3d)GetProcAddress(hLibXtreme3D, "ObjectRemoveChild");
dFUNC4d  ObjectMoveObjectAround = (dFUNC4d)GetProcAddress(hLibXtreme3D, "ObjectMoveObjectAround");
dFUNC2d  ObjectPitch = (dFUNC2d)GetProcAddress(hLibXtreme3D, "ObjectPitch");
dFUNC2d  ObjectTurn = (dFUNC2d)GetProcAddress(hLibXtreme3D, "ObjectTurn");
dFUNC2d  ObjectRoll = (dFUNC2d)GetProcAddress(hLibXtreme3D, "ObjectRoll");
dFUNC2d  ObjectGetUpVector = (dFUNC2d)GetProcAddress(hLibXtreme3D, "ObjectGetUpVector");
dFUNC1d  ObjectStructureChanged = (dFUNC1d)GetProcAddress(hLibXtreme3D, "ObjectStructureChanged");
dFUNC4d  ObjectRotateAbsolute = (dFUNC4d)GetProcAddress(hLibXtreme3D, "ObjectRotateAbsolute");
dFUNC5d  ObjectRotateAbsoluteVector = (dFUNC5d)GetProcAddress(hLibXtreme3D, "ObjectRotateAbsoluteVector");
dFUNC1d  ObjectInFrustrum = (dFUNC1d)GetProcAddress(hLibXtreme3D, "ObjectInFrustrum");
dFUNC1d  ObjectIsClipped = (dFUNC1d)GetProcAddress(hLibXtreme3D, "ObjectIsClipped");

