/*
 * ode.h - ODE functions header file for the Xtreme3D engine
 * Version 1.0
 * 
 * Written by Timur Gafarov <clocktower89@mail.ru>
 * 
 * This file has no copyright assigned and is placed in the Public Domain.
 * This file is a part of the Xtreme3D C++ distribution.
 * 
 */
 
dFUNC    OdeManagerCreate = (dFUNC)GetProcAddress(hLibXtreme3D, "OdeManagerCreate");
dFUNC    OdeManagerDestroy = (dFUNC)GetProcAddress(hLibXtreme3D, "OdeManagerDestroy");
dFUNC1d  OdeManagerStep = (dFUNC1d)GetProcAddress(hLibXtreme3D, "OdeManagerStep");
dFUNC    OdeManagerGetNumContactJoints = (dFUNC)GetProcAddress(hLibXtreme3D, "OdeManagerGetNumContactJoints");
dFUNC3d  OdeManagerSetGravity = (dFUNC3d)GetProcAddress(hLibXtreme3D, "OdeManagerSetGravity");
dFUNC1d  OdeManagerSetSolver = (dFUNC1d)GetProcAddress(hLibXtreme3D, "OdeManagerSetSolver");
dFUNC1d  OdeManagerSetIterations = (dFUNC1d)GetProcAddress(hLibXtreme3D, "OdeManagerSetIterations");
dFUNC1d  OdeManagerSetMaxContacts = (dFUNC1d)GetProcAddress(hLibXtreme3D, "OdeManagerSetMaxContacts");
dFUNC1d  OdeManagerSetVisible = (dFUNC1d)GetProcAddress(hLibXtreme3D, "OdeManagerSetVisible");
dFUNC1d  OdeManagerSetGeomColor = (dFUNC1d)GetProcAddress(hLibXtreme3D, "OdeManagerSetGeomColor");
dFUNC1d  OdeWorldSetAutoDisableFlag = (dFUNC1d)GetProcAddress(hLibXtreme3D, "OdeWorldSetAutoDisableFlag");
dFUNC1d  OdeWorldSetAutoDisableLinearThreshold = (dFUNC1d)GetProcAddress(hLibXtreme3D, "OdeWorldSetAutoDisableLinearThreshold");
dFUNC1d  OdeWorldSetAutoDisableAngularThreshold = (dFUNC1d)GetProcAddress(hLibXtreme3D, "OdeWorldSetAutoDisableAngularThreshold");
dFUNC1d  OdeWorldSetAutoDisableSteps = (dFUNC1d)GetProcAddress(hLibXtreme3D, "OdeWorldSetAutoDisableSteps");
dFUNC1d  OdeWorldSetAutoDisableTime = (dFUNC1d)GetProcAddress(hLibXtreme3D, "OdeWorldSetAutoDisableTime");
dFUNC2d  OdeDynamicSetAutoDisableFlag = (dFUNC2d)GetProcAddress(hLibXtreme3D, "OdeDynamicSetAutoDisableFlag");
dFUNC2d  OdeDynamicSetAutoDisableLinearThreshold = (dFUNC2d)GetProcAddress(hLibXtreme3D, "OdeDynamicSetAutoDisableLinearThreshold");
dFUNC2d  OdeDynamicSetAutoDisableAngularThreshold = (dFUNC2d)GetProcAddress(hLibXtreme3D, "OdeDynamicSetAutoDisableAngularThreshold");
dFUNC2d  OdeDynamicSetAutoDisableSteps = (dFUNC2d)GetProcAddress(hLibXtreme3D, "OdeDynamicSetAutoDisableSteps");
dFUNC2d  OdeDynamicSetAutoDisableTime = (dFUNC2d)GetProcAddress(hLibXtreme3D, "OdeDynamicSetAutoDisableTime");
dFUNC1d  OdeStaticCreate = (dFUNC1d)GetProcAddress(hLibXtreme3D, "OdeStaticCreate");
dFUNC1d  OdeDynamicCreate = (dFUNC1d)GetProcAddress(hLibXtreme3D, "OdeDynamicCreate");
dFUNC1d  OdeDynamicAlignObject = (dFUNC1d)GetProcAddress(hLibXtreme3D, "OdeDynamicAlignObject");
dFUNC2d  OdeDynamicEnable = (dFUNC2d)GetProcAddress(hLibXtreme3D, "OdeDynamicEnable");
dFUNC1d  OdeDynamicCalibrateCenterOfMass = (dFUNC1d)GetProcAddress(hLibXtreme3D, "OdeDynamicCalibrateCenterOfMass");
dFUNC4d  OdeDynamicAddForce = (dFUNC4d)GetProcAddress(hLibXtreme3D, "OdeDynamicAddForce");
dFUNC7d  OdeDynamicAddForceAtPos = (dFUNC7d)GetProcAddress(hLibXtreme3D, "OdeDynamicAddForceAtPos");
dFUNC7d  OdeDynamicAddForceAtRelPos = (dFUNC7d)GetProcAddress(hLibXtreme3D, "OdeDynamicAddForceAtRelPos");
dFUNC4d  OdeDynamicAddRelForce = (dFUNC4d)GetProcAddress(hLibXtreme3D, "OdeDynamicAddRelForce");
dFUNC7d  OdeDynamicAddRelForceAtPos = (dFUNC7d)GetProcAddress(hLibXtreme3D, "OdeDynamicAddRelForceAtPos");
dFUNC7d  OdeDynamicAddRelForceAtRelPos = (dFUNC7d)GetProcAddress(hLibXtreme3D, "OdeDynamicAddRelForceAtRelPos");
dFUNC4d  OdeDynamicAddTorque = (dFUNC4d)GetProcAddress(hLibXtreme3D, "OdeDynamicAddTorque");
dFUNC4d  OdeDynamicAddRelTorque = (dFUNC4d)GetProcAddress(hLibXtreme3D, "OdeDynamicAddRelTorque");
dFUNC1d  OdeDynamicGetContactCount = (dFUNC1d)GetProcAddress(hLibXtreme3D, "OdeDynamicGetContactCount");
dFUNC2d  OdeDynamicGetContact = (dFUNC2d)GetProcAddress(hLibXtreme3D, "OdeDynamicGetContact");
dFUNC1d  OdeStaticGetContactCount = (dFUNC1d)GetProcAddress(hLibXtreme3D, "OdeStaticGetContactCount");
dFUNC2d  OdeStaticGetContact = (dFUNC2d)GetProcAddress(hLibXtreme3D, "OdeStaticGetContact");
dFUNC4d  OdeAddBox = (dFUNC4d)GetProcAddress(hLibXtreme3D, "OdeAddBox");
dFUNC3d  OdeAddCapsule = (dFUNC3d)GetProcAddress(hLibXtreme3D, "OdeAddCapsule");
dFUNC3d  OdeAddCone = (dFUNC3d)GetProcAddress(hLibXtreme3D, "OdeAddCone");
dFUNC3d  OdeAddCylinder = (dFUNC3d)GetProcAddress(hLibXtreme3D, "OdeAddCylinder");
dFUNC1d  OdeAddPlane = (dFUNC1d)GetProcAddress(hLibXtreme3D, "OdeAddPlane");
dFUNC2d  OdeAddSphere = (dFUNC2d)GetProcAddress(hLibXtreme3D, "OdeAddSphere");
dFUNC1d  OdeAddTriMesh = (dFUNC1d)GetProcAddress(hLibXtreme3D, "OdeAddTriMesh");
dFUNC2d  OdeSurfaceSetRollingFrictionCoeff = (dFUNC2d)GetProcAddress(hLibXtreme3D, "OdeSurfaceSetRollingFrictionCoeff");
dFUNC2d  OdeSurfaceEnableRollingFrictionCoeff = (dFUNC2d)GetProcAddress(hLibXtreme3D, "OdeSurfaceEnableRollingFrictionCoeff");
dFUNC10d OdeSurfaceSetMode = (dFUNC10d)GetProcAddress(hLibXtreme3D, "OdeSurfaceSetMode");
dFUNC2d  OdeSurfaceSetMu = (dFUNC2d)GetProcAddress(hLibXtreme3D, "OdeSurfaceSetMu");
dFUNC2d  OdeSurfaceSetMu2 = (dFUNC2d)GetProcAddress(hLibXtreme3D, "OdeSurfaceSetMu2");
dFUNC2d  OdeSurfaceSetBounce = (dFUNC2d)GetProcAddress(hLibXtreme3D, "OdeSurfaceSetBounce");
dFUNC2d  OdeSurfaceSetBounceVel = (dFUNC2d)GetProcAddress(hLibXtreme3D, "OdeSurfaceSetBounceVel");
dFUNC2d  OdeSurfaceSetSoftERP = (dFUNC2d)GetProcAddress(hLibXtreme3D, "OdeSurfaceSetSoftERP");
dFUNC2d  OdeSurfaceSetSoftCFM = (dFUNC2d)GetProcAddress(hLibXtreme3D, "OdeSurfaceSetSoftCFM");
dFUNC2d  OdeSurfaceSetMotion1 = (dFUNC2d)GetProcAddress(hLibXtreme3D, "OdeSurfaceSetMotion1");
dFUNC2d  OdeSurfaceSetMotion2 = (dFUNC2d)GetProcAddress(hLibXtreme3D, "OdeSurfaceSetMotion2");
dFUNC2d  OdeSurfaceSetSlip1 = (dFUNC2d)GetProcAddress(hLibXtreme3D, "OdeSurfaceSetSlip1");
dFUNC2d  OdeSurfaceSetSlip2 = (dFUNC2d)GetProcAddress(hLibXtreme3D, "OdeSurfaceSetSlip2");
dFUNC    OdeAddJointBall = (dFUNC)GetProcAddress(hLibXtreme3D, "OdeAddJointBall");
dFUNC    OdeAddJointFixed = (dFUNC)GetProcAddress(hLibXtreme3D, "OdeAddJointFixed");
dFUNC    OdeAddJointHinge = (dFUNC)GetProcAddress(hLibXtreme3D, "OdeAddJointHinge");
dFUNC    OdeAddJointHinge2 = (dFUNC)GetProcAddress(hLibXtreme3D, "OdeAddJointHinge2");
dFUNC    OdeAddJointSlider = (dFUNC)GetProcAddress(hLibXtreme3D, "OdeAddJointSlider");
dFUNC    OdeAddJointUniversal = (dFUNC)GetProcAddress(hLibXtreme3D, "OdeAddJointUniversal");
dFUNC3d  OdeJointSetObjects = (dFUNC3d)GetProcAddress(hLibXtreme3D, "OdeJointSetObjects");
dFUNC2d  OdeJointEnable = (dFUNC2d)GetProcAddress(hLibXtreme3D, "OdeJointEnable");
dFUNC2d  OdeJointInitialize = (dFUNC2d)GetProcAddress(hLibXtreme3D, "OdeJointInitialize");
dFUNC4d  OdeJointSetAnchor = (dFUNC4d)GetProcAddress(hLibXtreme3D, "OdeJointSetAnchor");
dFUNC2d  OdeJointSetAnchorAtObject = (dFUNC2d)GetProcAddress(hLibXtreme3D, "OdeJointSetAnchorAtObject");
dFUNC4d  OdeJointSetAxis1 = (dFUNC4d)GetProcAddress(hLibXtreme3D, "OdeJointSetAxis1");
dFUNC4d  OdeJointSetAxis2 = (dFUNC4d)GetProcAddress(hLibXtreme3D, "OdeJointSetAxis2");
dFUNC3d  OdeJointSetBounce = (dFUNC3d)GetProcAddress(hLibXtreme3D, "OdeJointSetBounce");
dFUNC3d  OdeJointSetCFM = (dFUNC3d)GetProcAddress(hLibXtreme3D, "OdeJointSetCFM");
dFUNC3d  OdeJointSetFMax = (dFUNC3d)GetProcAddress(hLibXtreme3D, "OdeJointSetFMax");
dFUNC3d  OdeJointSetFudgeFactor = (dFUNC3d)GetProcAddress(hLibXtreme3D, "OdeJointSetFudgeFactor");
dFUNC3d  OdeJointSetHiStop = (dFUNC3d)GetProcAddress(hLibXtreme3D, "OdeJointSetHiStop");
dFUNC3d  OdeJointSetLoStop = (dFUNC3d)GetProcAddress(hLibXtreme3D, "OdeJointSetLoStop");
dFUNC3d  OdeJointSetStopCFM = (dFUNC3d)GetProcAddress(hLibXtreme3D, "OdeJointSetStopCFM");
dFUNC3d  OdeJointSetStopERP = (dFUNC3d)GetProcAddress(hLibXtreme3D, "OdeJointSetStopERP");
dFUNC3d  OdeJointSetVel = (dFUNC3d)GetProcAddress(hLibXtreme3D, "OdeJointSetVel");

